<?php
if(!class_exists('Sidebar_domination')){
	die('No direct access allowed.');
}

class Sidebar_domination_front extends Sidebar_domination {
	function Sidebar_domination_Front(){
		parent::Sidebar_domination();
		add_action('wp_print_styles', array(&$this, 'widget_style'));
	}
	
	function widget_data(){
		if(!isset($this->data['template'])){
			$this->data['front']['template'] = $this->get_option('template', false);
		}
		if(!isset($this->data['fields'])){
			$this->data['front']['fields'] = $this->get_option('fields', false);
		}
		if(!isset($this->data['mailing'])){
			$this->data['front']['mailing'] = $this->get_option('mailing', false);
		}
		if(!isset($this->data['affiliate'])){
			$this->data['front']['affiliate'] = $this->get_option('affiliate', false);
		}
		
		$this->widget_setup($this->data['front']);
	}
	
	function widget_setup($template){
		$file = $this->plugin_path.'themes/'.$template['template']['theme'].'/template.php';
		include $file;
	}
	
	function widget_style(){
			//if(isset($this->data['front']['template'])){
			//if(is_active_widget(array(&$this,'widget'))){
			//}
		//}
		wp_enqueue_style('sidebar_domination',$this->plugin_url.'css/front.css');
	}
}

$listeruption = new Sidebar_domination_Front();