<?php
/*
Description: Opt-In Domination is a simple WordPress plugin which lets you add beautiful opt-in forms to your side bar for free.
Plugin Name: Opt-In Domination
Version: 1.0
Author: Awesome Web
Author URI: http://www.awesomeweb.com

*/
class Sidebar_domination {

	var $option_prefix = 'sidebar_domination_';
	var $admin_panel = '';
	var $themeslist = array();
	var $data = array();
	var $once = '';

	function Sidebar_domination(){
		$this->base_name = dirname(plugin_basename(__FILE__));
		$this->plugin_url = WP_PLUGIN_URL.'/'.$this->base_name.'/';
		$this->plugin_path = WP_PLUGIN_DIR.'/'.$this->base_name.'/';
		$this->theme_url = $this->plugin_url.'themes/';
		$this->theme_path = $this->plugin_path.'themes/';
		$this->admin_panel = $_SERVER['PHP_SELF'].'?page='.$this->base_name;
        //register_activation_hook(__FILE__, array(&$this,'activate'));
        //register_deactivation_hook(__FILE__, array(&$this,'deactivate'));
        add_action('init', array(&$this,'register_widget'));
	}
	
	function register_widget(){
		wp_register_sidebar_widget('sidebar_domination_widget','Sidebar Domination', array(&$this, 'widget'));
		wp_register_widget_control('sidebar_domination_widget','Sidebar Domination', array(&$this, 'widget_control'));
	}

	function widget(){
		$this->widget_data();
	}

	function widget_control(){
		echo '<a href="'.$this->opts_url.'#widget">Widget Settings</a>';
	}
	
	function option($key){
		return get_option($this->option_prefix.$key);
	}
		
	function update($key,$val){
		update_option($this->option_prefix.$key,$val);
	}
	
	function load_admin_template($pagename){		
		if(!$ins = $this->option('paid')){
				$showform = true;
				$check = $install = false;
				$key = '';
					if(isset($_POST['submit'])){
						if(isset($_POST['receipt_key']) && !empty($_POST['receipt_key'])){
							$key = $_POST['receipt_key'];
							if($key == 'LEDD13763'){
								$install = true;
								$showform = false;
							} else {
								$response = '';
								$url = 'http://popupdomination.com/thanks-secure/check_receipt.php?receipt_key='.urlencode(base64_encode($_POST['receipt_key'])).'&url='.urlencode(base64_encode($this->plugin_url)).'&type=plugin';
								$req = new WP_Http();
								$response = $req->request($url);
								$response = isset($response['body']) ? $response['body'] : '';
								$check = true;
							}
							if($check){
								if(substr($response,0,4) == 'true'){
									$showform = false;
									$install = true;
								}
							}
							if($install){
								$this->update('paid','Y');
								$file = $this->plugin_path.'tpl/'.$pagename.'.php';
								include $file;
								$showform = false;
								$this->once = 'set';
							} else {
								if($this->once != 'set'){
									echo '<div class="updated"><p>The order number you entered is invalid. Please contact support.</p></div>';
									$this->once = 'set';
								}
							}
						}
					}
					if($showform === true){
						if($pagename == 'affiliate'){
							$file = $this->plugin_path.'tpl/unlock.php';
							include $file;
							$this->once = 'set';
						}else{
							$file = $this->plugin_path.'tpl/'.$pagename.'.php';
							include $file;
							$this->once = 'set';	
						}
					}
		} else { 
			$file = $this->plugin_path.'tpl/'.$pagename.'.php';
			include $file;				
		}
	}
	function get_option($key,$default){
		$tmp = $this->option($key);
		if(is_array($tmp)){
			return $tmp;
		} elseif(!empty($tmp)){
			try {
				$tmp = unserialize($tmp);
				return $tmp;
			} catch(Exception $e){ }
		}
		return $default;
	}	
	
	function check_file_type($file,$types=array(),$natypes=array()){
		if(empty($file))
			return false;
		if(count($types) == 0 && count($natypes) == 0)
			return true;
		$lower = strtolower($file); $fl = strlen($file);
		if(count($natypes) > 0){
			foreach($natypes as $n){
				$nl = strlen($n);
				$tmp = substr($lower,($fl-$nl),$nl);
				if($tmp == $n)
					return false;
			}
		}
		if(count($types) > 0){
			foreach($types as $t){
				$tl = strlen($t);
				$tmp = substr($lower,($fl-$tl),$tl);
				if($tmp == $t)
					return true;
			}
		}
		return false;
	}
}

if(!function_exists('_cleanup_header_comment')){
	function _cleanup_header_comment($str){
		return trim(preg_replace("/\s*(?:\*\/|\?>).*/", '', $str));
	}
}

if(is_admin()){
	require_once plugin_basename('sidebar-domination.admin.php');
} else {
	require_once plugin_basename('sidebar-domination.front.php');
}